<?php


function bikit_notify_admin_welcome () {
    if(!current_user_can( 'activate_plugins' )) return false;
    add_action('admin_notices', function () {

        $screen = get_current_screen();
        if (get_user_meta(get_current_user_id(), 'theme_alert_dissmiss')) {
            return;
        }
        
        if ('appearance_page_one-click-demo-import' == $screen->id || 'appearance_page_nexos-dashboard' === $screen->id || 'appearance_page_tgmpa-install-plugins' === $screen->id) {
            return;
        }

        if (get_option('wdk_theme_bikit_installed')) {
            return true;
        }
        add_action('admin_footer', function () {
            echo '<style>
                 #setting-error-tgmpa {
                    display: none !important;
                }
            </style>';
        });
        ?>
        <div class="updated notice business-directory-bikit-welcome-notice">
            <div class="business-directory-bikit-welcome-notice-wrap">
                <h2><?php esc_html_e('Congratulations!', 'business-directory-bikit'); ?></h2>
                <p><?php echo sprintf(esc_html__('%1$s is now installed and ready to use. You can start either by importing the ready made demo or get started by customizing it your self.', 'business-directory-bikit'),wp_get_theme()['Name']); ?></p>
    
                <div class="business-directory-bikit-welcome-info">
                    <div class="business-directory-bikit-welcome-thumb">
                        <img src="<?php echo esc_url(get_stylesheet_directory_uri() . '/screenshot.jpg'); ?>" alt="<?php echo sprintf(esc_attr__('%1$s Demo', 'business-directory-bikit'),wp_get_theme()['Name']); ?>">
                    </div>
                        <div class="business-directory-bikit-welcome-import">
                            <h3><?php esc_html_e('Import Demo', 'business-directory-bikit'); ?></h3>
                                <p><?php esc_html_e('Click below to install and active Themes Demo Importer Plugin.', 'business-directory-bikit'); ?></p>
                                <?php
                                    $plugin = 'elementor/elementor.php';
                                    $installed_plugins = get_plugins();
                                    $is_elementor_installed = isset( $installed_plugins[ $plugin ] );
                                    $elementor_version = NULL;
                                    if($is_elementor_installed) {
                                        $plugin_data = get_file_data(WP_PLUGIN_DIR.'/'.$plugin, array('Version' => 'Version'), false);
                                        $elementor_version = $plugin_data['Version'];
                                    }
                                ?>
                                <?php if ( version_compare( PHP_VERSION, '7.0', '>=' ) || ($elementor_version && version_compare( $elementor_version, '3.7', '<') )) :?>
                                    <?php if ( file_exists(ABSPATH . 'wp-content/plugins/one-click-demo-import/one-click-demo-import.php') && !in_array( 'one-click-demo-import/one-click-demo-import.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ):?>
                                        <p><a data-slug="one-click-demo-import" data-filename="one-click-demo-import" href="#" class="button button-primary business-directory-bikit-activate-plugin"><?php esc_html_e('Activate Demo Importer Plugin', 'business-directory-bikit'); ?></a></p>
                                    <?php elseif ( file_exists(ABSPATH . 'wp-content/plugins/one-click-demo-import/one-click-demo-import.php') && in_array( 'one-click-demo-import/one-click-demo-import.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) )):?>
                                        <p><a href="<?php echo esc_url(get_admin_url() . "themes.php?page=one-click-demo-import");?>" class="button button-primary"><?php esc_html_e('Go to Demo Importer Page', 'business-directory-bikit'); ?></a></p>
                                    <?php else:?>
                                        <p><a data-slug="one-click-demo-import" data-filename="one-click-demo-import" href="<?php echo esc_url(admin_url('themes.php?page=one-click-demo-import'));?>" class="button button-primary business-directory-bikit-install-plugin"><?php esc_html_e('Install Demo Importer Plugin', 'business-directory-bikit'); ?></a></p>
                                    <?php endif;?>
                                <?php else: ?>
                                    <p class="welcome-theme-alert-error" style=""><?php esc_html_e('Your php version not support latest Elementor Plugin, in such case eventually you can try older upload Elementor Version (<3.7) or Update PHP on your server', 'business-directory-bikit'); ?></p>
                                <?php endif; ?>
                        </div>
                    <div class="business-directory-bikit-welcome-getting-started">
                        <h3><?php esc_html_e('Get Started', 'business-directory-bikit'); ?></h3>
                        <p><?php echo sprintf(esc_html__('Here you will find all the necessary links and information on how to use %1$s.', 'business-directory-bikit'),wp_get_theme()['Name']); ?></p>
                        <p><a href="<?php echo esc_url(admin_url('themes.php?page=business-directory-bikit-dashboard')); ?>" class="button button-primary "><?php esc_html_e('Go to Setting Page', 'business-directory-bikit'); ?></a></p>
                    </div>
                </div>
                <a href="?theme_alert_dissmiss" class="notice-close"><?php esc_html_e('Dismiss', 'business-directory-bikit'); ?></a>
            </div>
        </div>
        <?php
    });

    add_action('admin_init', function () {
        $user_id = get_current_user_id();
        if (isset($_GET['theme_alert_dissmiss']))
            add_user_meta($user_id, 'theme_alert_dissmiss', 'true', true);
    });

    return true;
}

bikit_notify_admin_welcome();

  
function bikit_admin_scripts() {
        if(!current_user_can( 'activate_plugins' )) return false;
        $importer_params = array(
            'installing_text' => esc_html__('Installing Demo Importer Plugin', 'business-directory-bikit'),
            'activating_text' => esc_html__('Activating Demo Importer Plugin', 'business-directory-bikit'),
            'importer_page' => esc_html__('Go to Demo Importer Page', 'business-directory-bikit'),
            'importer_url' => admin_url('themes.php?page=one-click-demo-import'),
            'error' => esc_html__('Error! Reload the page and try again.', 'business-directory-bikit'),
            'success_redirect' => 1,
            'success_import' => esc_html__('For best experience please install and active all recommended plugin from theme before demo content import here.', 'business-directory-bikit'),
            'wpnonce' => wp_create_nonce( 'activate_plugin' ),
        );

        wp_enqueue_style('business-directory-bikit-welcome', get_stylesheet_directory_uri() . '/assets/css/welcome.css', array(), '1.0');
        wp_enqueue_script('business-directory-bikit-welcome', get_stylesheet_directory_uri() . '/assets/js/welcome.js', ['jquery','updates'], '1.0', true );
        wp_localize_script('business-directory-bikit-welcome', 'importer_params', $importer_params);
}

add_action('admin_enqueue_scripts', 'bikit_admin_scripts');

if(!function_exists('bikit_activate_plugin')) {
    add_action('wp_ajax_bikit_activate_plugin', 'bikit_activate_plugin');
    function bikit_activate_plugin() {
        
        if(!current_user_can( 'activate_plugins' )) {
            echo esc_html__('Disable for current user', 'business-directory-bikit');
            exit();
        }

        if ( empty( $_POST['_wpnonce'] ) || ! wp_verify_nonce( $_POST['_wpnonce'], 'activate_plugin' ) ) {
            echo esc_html__('Wrong _wpnonce', 'business-directory-bikit');
            exit();
        }

        $slug = isset($_POST['slug']) ? $_POST['slug'] : '';
        $file = isset($_POST['file']) ? $_POST['file'] : '';
        $success = false;

        if (!empty($slug) && !empty($file)) {
            $result = activate_plugin($slug . '/' . $file . '.php');
            update_option('bikit_hide_notice', true);
            if (!is_wp_error($result)) {
                $success = true;
            }
        }
        echo wp_json_encode(array('success' => $success));
        die();
    }
}
